<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'chemical',

    /*
     * Package.
     */
    'package'   => 'looking',

    /*
     * Modules.
     */
    'modules'   => ['looking'],

    
    'looking'       => [
        'model' => [
            'model'                 => \Chemical\Looking\Models\Looking::class,
            'table'                 => 'lookings',
            'presenter'             => \Chemical\Looking\Repositories\Presenter\LookingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'ip',  'country',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'looking/looking',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Chemical',
            'package'   => 'Looking',
            'module'    => 'Looking',
        ],

    ],
];
