Lavalite package that provides looking management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `chemical/looking`.

    "chemical/looking": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Chemical\Looking\Providers\LookingServiceProvider::class,

And also add it to alias

    'Looking'  => Chemical\Looking\Facades\Looking::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Chemical\\LookingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Chemical\Looking\Providers\LookingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Chemical\Looking\Providers\LookingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Chemical\Looking\Providers\LookingServiceProvider" --tag="view"


## Usage


