<?php

namespace Chemical\Looking;

use DB;
use Illuminate\Database\Seeder;

class LookingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('lookings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'looking.looking.view',
                'name'      => 'View Looking',
            ],
            [
                'slug'      => 'looking.looking.create',
                'name'      => 'Create Looking',
            ],
            [
                'slug'      => 'looking.looking.edit',
                'name'      => 'Update Looking',
            ],
            [
                'slug'      => 'looking.looking.delete',
                'name'      => 'Delete Looking',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/looking/looking',
                'name'        => 'Looking',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/looking/looking',
                'name'        => 'Looking',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'looking',
                'name'        => 'Looking',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Looking',
                'module'    => 'Looking',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'looking.looking.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
