<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for looking in looking package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  looking module in looking package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Looking',
    'names'         => 'Lookings',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Lookings',
        'sub'   => 'Lookings',
        'list'  => 'List of lookings',
        'edit'  => 'Edit looking',
        'create'    => 'Create new looking'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'ip'                         => 'Please enter ip',
        'country'                    => 'Please enter country',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'ip'                         => 'Ip',
        'country'                    => 'Country',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'ip'                         => ['name' => 'Ip', 'data-column' => 2, 'checked'],
        'country'                    => ['name' => 'Country', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Lookings',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
