<?php

namespace Chemical\Looking\Repositories\Eloquent;

use Chemical\Looking\Interfaces\LookingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class LookingRepository extends BaseRepository implements LookingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('chemical.looking.looking.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('chemical.looking.looking.model.model');
    }
}
